hi all, this is my first lms track after a long time and funny enough, i made this back in january.
i hope you will enjoy!
credits: 
music is Skyline by baryiscool on newgrounds.com licensed under Attribution: You must give credit to the artist. (https://www.newgrounds.com/audio/listen/1025487)
skybox by the tyro generator

thx bye bye